Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.useragent.client
Interface UserAgent

    public interface UserAgent

Interface to provide both the compile time and runtime `user.agent` value.

Method Summary
`java.lang.String` | `getCompileTimeValue()` Returns the value of user agent for this permutation
`java.lang.String` | `getRuntimeValue()` Returns the calculated value of user agent on the runtime

Method Detail

### getCompileTimeValue

    java.lang.String getCompileTimeValue()

  Returns the value of user agent for this permutation

### getRuntimeValue

    java.lang.String getRuntimeValue()

  Returns the calculated value of user agent on the runtime

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD